#ifndef STATS_HPP
#define STATS_HPP

#include "utils/godot_macros.hpp"
#include <godot_cpp/templates/hash_set.hpp>

namespace gd = godot;

struct Stats {
    float damage_absorb{0.f};
    int hazmat_level{0};
};

Stats operator &(Stats const &lhs, Stats const &rhs);
Stats &operator <<(Stats &lhs, Stats const &rhs);

#endif // !STATS_HPP
