#include "character_world_state.hpp"
#include "utils/godot_macros.hpp"

void CharacterWorldState::_bind_methods() {
#define CLASSNAME CharacterWorldState
}

void CharacterWorldState::_enter_tree() {
    this->parent_type::_enter_tree();
    this->inventory = this->get_node<Inventory>("%Inventory");
}

bool CharacterWorldState::get_is_weapon_ranged() const {
    return this->inventory->get_weapon()->has_capability(ItemCapability::WeaponRanged);
}

